summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Oleg A. Deordiev2014-02-21 21:05:28 +0100
committer Erik Hanson2014-02-21 21:40:39 +0100
commit6c01734c45d2edb9e901458849d3365691bc901c (patch)
tree2f55513835583c0044c29c45d9fc9879f6bb5a72
parent4fedd6d37bdef72d532c989338a89af0bae2bafc (diff)
downloadslackbuilds-6c01734c45d2edb9e901458849d3365691bc901c.tar.gz
network/udpxy: Added (UDP-to-HTTP traffic relaying).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--network/udpxy/README6
-rw-r--r--network/udpxy/slack-desc19
-rw-r--r--network/udpxy/udpxy.SlackBuild92
-rw-r--r--network/udpxy/udpxy.info10
4 files changed, 127 insertions, 0 deletions
diff --git a/network/udpxy/README b/network/udpxy/README
new file mode 100644
index 0000000000..92d21c271b
--- /dev/null
+++ b/network/udpxy/README
@@ -0,0 +1,6 @@
+Udpxy is a UDP-to-HTTP multicast traffic relay daemon: it forwards UDP
+traffic from a given multicast subscription to the requesting HTTP
+client. Udpxy was written to build on POSIX-compliant systems, with
+the minumum of external dependencies and configuration steps it was
+also designed to maintain a small memory footprint and run on devices
+with limited resources (CPU, RAM).
diff --git a/network/udpxy/slack-desc b/network/udpxy/slack-desc
new file mode 100644
index 0000000000..2c7f33a335
--- /dev/null
+++ b/network/udpxy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+udpxy: udpxy (UDP-to-HTTP traffic relaying)
+udpxy:
+udpxy: Udpxy is a UDP-to-HTTP multicast traffic relay daemon: it forwards UDP
+udpxy: traffic from a given multicast subscription to the requesting HTTP
+udpxy: client. Udpxy was written to build on POSIX-compliant systems, with
+udpxy: the minumum of external dependencies and configuration steps it was
+udpxy: also designed to maintain a small memory footprint and run on devices
+udpxy: with limited resources (CPU, RAM).
+udpxy:
+udpxy: homepage: http://www.udpxy.com/index-en.html
+udpxy:
diff --git a/network/udpxy/udpxy.SlackBuild b/network/udpxy/udpxy.SlackBuild
new file mode 100644
index 0000000000..7cdfc69d81
--- /dev/null
+++ b/network/udpxy/udpxy.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for udpxy
+
+# Copyright 2014 Oleg A. Deordiev Ukraine/Odessa
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=udpxy
+VERSION=${VERSION:-1.0.23_9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+SRCVER=$(echo $VERSION | tr _ - )
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRCVER
+tar xvf $CWD/$PRGNAM.$SRCVER-prod.tar.?z*
+cd $PRGNAM-$SRCVER
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" make release PREFIX=/usr
+make install-strip DESTDIR=$PKG PREFIX=/usr
+
+mv $PKG/usr/share/man $PKG/usr/man
+rmdir $PKG/usr/share
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/udpxy/udpxy.info b/network/udpxy/udpxy.info
new file mode 100644
index 0000000000..b1acc4e868
--- /dev/null
+++ b/network/udpxy/udpxy.info
@@ -0,0 +1,10 @@
+PRGNAM="udpxy"
+VERSION="1.0.23_9"
+HOMEPAGE="http://www.udpxy.com/index-en.html"
+DOWNLOAD="http://www.udpxy.com/download/1_23/udpxy.1.0.23-9-prod.tar.gz"
+MD5SUM="0c953f7dd80329c1a062997afb9b6744"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Oleg A. Deordiev"
+EMAIL="admin@ifconfig.com.ua"